package de.intevation.flys.artifacts.model.minfo;

import gnu.trove.TDoubleArrayList;

import java.io.Serializable;


public class BedDifferencesResult
implements Serializable
{

    protected TDoubleArrayList kms;
    protected TDoubleArrayList differences;
    protected TDoubleArrayList morphWidth;

    public BedDifferencesResult () {
        kms = new TDoubleArrayList();
        differences = new TDoubleArrayList();
        morphWidth = new TDoubleArrayList();
    }

    public BedDifferencesResult(
        TDoubleArrayList kms,
        TDoubleArrayList differences,
        TDoubleArrayList morpWidth
    ) {
        this.kms = kms;
        this.differences = differences;
        this.morphWidth = morpWidth;
    }

    public TDoubleArrayList getKms() {
        return this.kms;
    }

    public TDoubleArrayList getDifferences() {
        return this.differences;
    }

    public TDoubleArrayList getMorphWidth() {
        return this.morphWidth;
    }
}
